signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions | Variables
SignonDaemonNS Namespace Reference

## Classes
class | AccessControlManagerHelper
| Contains helper functions related to Access Control. More...
class | SecureStorageEvent
| Any object in the signon framework that needs the CredentialsAccessManager - CAM - secure storage in order to function properly can signal this event to the CAM. More...
class | CAMConfiguration
| Configuration object for the CredentialsAccessManager - CAM. More...
class | CredentialsAccessManager
| Main singleton and manager object of the credentials database system. More...
class | CredentialsDB
| Manages the credentials I/O. More...
class | SecretsCache
| Caches credentials or BLOB authentication data. More...
class | SqlDatabase
| Will be used manage the SQL database interaction. More...
class | MetaDataDB
class | DefaultCryptoManager
| Dummy implementation of a manager for the credentials storage file system encryption. More...
class | DefaultKeyAuthorizer
| Implements a default key authorizer, which authorizes all given keys. More...
class | SecretsDB
class | DefaultSecretsStorage
| SQLite-based implementation of the AbstractSecretsStorage interface. More...
class | PluginProcess
| Process to run authentication. More...
class | PluginProxy
| Plugin proxy. More...
class | SignonAuthSession
| Daemon side representation of authentication session. More...
class | SignonAuthSessionAdaptor
class | SignonDaemonConfiguration
| The daemon's configuration object; loads date from the daemon configuration file. More...
class | SignonDaemon
| Daemon core. More...
class | SignonDaemonAdaptor
class | SignonDisposable
| Base class for server objects that can be automatically destroyed after a certain period of inactivity. More...
class | SignonIdentity
| Daemon side representation of identity. More...
class | SignonIdentityAdaptor
struct | SignonIdentityInfo
| Daemon side representation of identity information. More...
class | SignonSessionCore
| Daemon side representation of authentication session. More...
class | StoreOperation
| Describes a credentials store operatation. More...
class | RequestData
| Request data. More...

## Typedefs
typedef QPointer< QObject > | EventSender
typedef QList< QVariantMap > | MapList
typedef QString | MethodName
typedef QStringList | MechanismsList
typedef QMap< MethodName, MechanismsList > | MethodMap

## Enumerations
enum | CredentialsAccessError { NoError = 0, NotInitialized, AlreadyInitialized, AccessCodeHandlerInitFailed, AccessCodeNotReady, FailedToFetchAccessCode, AccessCodeInvalid, EncryptionInUse, CredentialsDbSetupFailed, CredentialsDbMountFailed, CredentialsDbUnmountFailed, CredentialsDbDeletionFailed, CredentialsDbAlreadyDeployed, CredentialsDbAlreadyMounted, CredentialsDbNotMounted, CredentialsDbConnectionError, CredentialsDbSqlError, UnknownError }
enum | IdentityFlags { Validated = 0x0001, RememberPassword = 0x0002, UserNameIsSecret = 0x0004 }
| Flags to be stored into database. More...

## Functions
QVariantMap | mergeVariantMaps (const QVariantMap &map1, const QVariantMap &map2)
| Helper method which unites two variant maps. More...

## Variables
const QString | internalServerErrName = SIGNOND_INTERNAL_SERVER_ERR_NAME
const QString | internalServerErrStr = SIGNOND_INTERNAL_SERVER_ERR_STR

## Detailed Description

Manager access to the Credentials DB - synchronized singleton available everywhere in the Authentication Core module.

Copyright
  Copyright (C) 2011 Nokia Corporation. LGPL

## Typedef Documentation

typedef QPointer<QObject> SignonDaemonNS::EventSender

Definition at line 77 of file credentialsaccessmanager.h.

typedef QList<QVariantMap> SignonDaemonNS::MapList

Definition at line 37 of file signondaemonadaptor.h.

typedef QStringList SignonDaemonNS::MechanismsList

Definition at line 35 of file signonidentityinfo.h.

typedef QMap<MethodName, MechanismsList> SignonDaemonNS::MethodMap

Definition at line 36 of file signonidentityinfo.h.

typedef QString SignonDaemonNS::MethodName

Definition at line 34 of file signonidentityinfo.h.

## Enumeration Type Documentation

enum SignonDaemonNS::CredentialsAccessError

Enumerator
NoError |
NotInitialized |
AlreadyInitialized |
AccessCodeHandlerInitFailed |
AccessCodeNotReady |
FailedToFetchAccessCode |
AccessCodeInvalid |
EncryptionInUse |
CredentialsDbSetupFailed |
CredentialsDbMountFailed |
CredentialsDbUnmountFailed |
CredentialsDbDeletionFailed |
CredentialsDbAlreadyDeployed |
CredentialsDbAlreadyMounted |
CredentialsDbNotMounted |
CredentialsDbConnectionError |
CredentialsDbSqlError |
UnknownError |

Definition at line 158 of file credentialsaccessmanager.h.

enum SignonDaemonNS::IdentityFlags

Flags to be stored into database.

Enumerator
Validated |
RememberPassword |
UserNameIsSecret |

Definition at line 51 of file credentialsdb.h.

## Function Documentation

QVariantMap SignonDaemonNS::mergeVariantMaps | ( | const QVariantMap & | map1,
|  | const QVariantMap & | map2
| ) |  |

Helper method which unites two variant maps.

Parameters

  map1 | base map to be united with
  map2 | map to be united with base. If map2 and map1 contain common keys, the values in map1 will be overwritten by map2 values

Returns
  a union of the map1 and map2 with unique keys,

Definition at line 31 of file signonsessioncoretools.cpp.

## Variable Documentation

const QString SignonDaemonNS::internalServerErrName = SIGNOND_INTERNAL_SERVER_ERR_NAME

Definition at line 244 of file signondaemon.cpp.

Referenced by SignonDaemonNS::SignonDaemon::queryIdentities().

const QString SignonDaemonNS::internalServerErrStr = SIGNOND_INTERNAL_SERVER_ERR_STR

Definition at line 245 of file signondaemon.cpp.

Referenced by SignonDaemonNS::SignonDaemon::queryIdentities().